[X2Go-Commits] [buildscripts] 02/02: signtarballs: quote variables/filenames, add even more verbosity.

git-admin at x2go.org git-admin at x2go.org
Tue Feb 10 22:24:49 CET 2015


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository buildscripts.

commit a7d0e8dbd446a4d5828bc82b79e75bf997b39ee7
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Tue Feb 10 22:24:26 2015 +0100

    signtarballs: quote variables/filenames, add even more verbosity.
---
 bin/signtarballs |   12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

diff --git a/bin/signtarballs b/bin/signtarballs
index 12be260..9a81b77 100755
--- a/bin/signtarballs
+++ b/bin/signtarballs
@@ -3,12 +3,8 @@
 test -d _releases_  && cd _releases_ || test -d ../_releases_ && cd ../_releases_ || exit -1
 
 find * -type f | egrep ".*(\.zip|\.tar\.gz|\.exe|\.dmg)$" | while read tarball; do
-	test -f $tarball.md5 || md5sum $tarball | tee $tarball.md5
-	test -f $tarball.sha1 || sha1sum $tarball | tee $tarball.sha1
-	test -f $tarball.sha256 || sha256sum $tarball | tee $tarball.sha256
-	test -f $tarball.asc || gpg -a -b --sign $tarball
+	test -f "${tarball}.md5" || { printf "${tarball}.md5: "; md5sum "${tarball}" | tee "${tarball}.md5"; }
+	test -f "${tarball}.sha1" || { printf "${tarball}.sha1: "; sha1sum "${tarball}" | tee "${tarball}.sha1"; }
+	test -f "${tarball}.sha256" || { printf "${tarball}.sha256: "; sha256sum "${tarball}" | tee "${tarball}.sha256"; }
+	test -f "${tarball}.asc" || { printf "signing ${tarball}... "; gpg -a -b --sign "${tarball}"; printf 'done.\n'; }
 done
-
-
-
-

--
Alioth's /srv/git/_hooks_/post-receive-email on /srv/git/code.x2go.org/buildscripts.git


More information about the x2go-commits mailing list